changeset 360:a9e795a22198

Update to FreeBSD-HEAD @232391
author ray@terran.dlink.ua
date Fri, 02 Mar 2012 16:56:09 +0200
parents 9a6b535841da
children 17241e798bc0
files head/etc/Makefile head/etc/defaults/periodic.conf head/etc/defaults/rc.conf head/etc/devd/apple.conf head/etc/devd/usb.conf head/etc/mtree/BSD.include.dist head/etc/periodic/daily/404.status-zfs head/etc/rc.d/LOGIN head/etc/rc.d/Makefile head/etc/rc.d/SERVERS head/etc/rc.d/addswap head/etc/rc.d/amd head/etc/rc.d/apmd head/etc/rc.d/cleanvar head/etc/rc.d/devfs head/etc/rc.d/keyserv head/etc/rc.d/lockd head/etc/rc.d/mountd head/etc/rc.d/nfsd head/etc/rc.d/routing head/etc/rc.d/statd head/etc/rc.d/var head/etc/rc.d/watchdogd head/etc/rc.d/ypbind head/etc/rc.d/yppasswdd head/etc/rc.d/ypserv head/etc/rc.d/ypset head/etc/rc.d/ypupdated head/etc/rc.d/ypxfrd head/etc/rc.resume head/etc/rc.subr head/etc/rc.suspend
diffstat 32 files changed, 233 insertions(+), 239 deletions(-) [+]
line wrap: on
line diff
--- a/head/etc/Makefile	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/Makefile	Fri Mar 02 16:56:09 2012 +0200
@@ -1,5 +1,5 @@
 #	from: @(#)Makefile	5.11 (Berkeley) 5/21/91
-# $FreeBSD: head/etc/Makefile 224765 2011-08-10 20:52:02Z dougb $
+# $FreeBSD: head/etc/Makefile 231849 2012-02-17 01:21:08Z eadler $
 
 .include <bsd.own.mk>
 
@@ -8,17 +8,47 @@
 .endif
 
 BIN1=	auth.conf \
-	crontab devd.conf devfs.conf \
-	ddb.conf dhclient.conf disktab fbtab \
-	ftpusers gettytab group \
-	hosts hosts.allow hosts.equiv \
-	inetd.conf libalias.conf login.access login.conf mac.conf motd \
-	netconfig network.subr networks newsyslog.conf nsswitch.conf \
-	phones profile protocols \
-	rc rc.bsdextended rc.firewall rc.initdiskless \
-	rc.sendmail rc.shutdown \
-	rc.subr remote rpc services shells \
-	sysctl.conf syslog.conf termcap.small
+	crontab \
+	devd.conf \
+	devfs.conf \
+	ddb.conf \
+	dhclient.conf \
+	disktab \
+	fbtab \
+	ftpusers \
+	gettytab \
+	group \
+	hosts \
+	hosts.allow \
+	hosts.equiv \
+	inetd.conf \
+	libalias.conf \
+	login.access \
+	login.conf \
+	mac.conf \
+	motd \
+	netconfig \
+	network.subr \
+	networks \
+	newsyslog.conf \
+	nsswitch.conf \
+	phones \
+	profile \
+	protocols \
+	rc \
+	rc.bsdextended \
+	rc.firewall \
+	rc.initdiskless \
+	rc.sendmail \
+	rc.shutdown \
+	rc.subr \
+	remote \
+	rpc \
+	services \
+	shells \
+	sysctl.conf \
+	syslog.conf \
+	termcap.small
 
 .if exists(${.CURDIR}/etc.${MACHINE}/ttys)
 BIN1+=	etc.${MACHINE}/ttys
--- a/head/etc/defaults/periodic.conf	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/defaults/periodic.conf	Fri Mar 02 16:56:09 2012 +0200
@@ -13,7 +13,7 @@
 # For a more detailed explanation of all the periodic.conf variables, please
 # refer to the periodic.conf(5) manual page.
 #
-# $FreeBSD: head/etc/defaults/periodic.conf 226865 2011-10-27 21:25:41Z delphij $
+# $FreeBSD: head/etc/defaults/periodic.conf 231171 2012-02-08 00:08:21Z gjb $
 #
 
 # What files override these defaults ?
@@ -96,6 +96,7 @@
 
 # 404.status-zfs
 daily_status_zfs_enable="NO"				# Check ZFS
+daily_status_zfs_zpool_list_enable="YES"		# List ZFS pools
 
 # 405.status-ata_raid
 daily_status_ata_raid_enable="NO"			# Check ATA raid status
--- a/head/etc/defaults/rc.conf	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/defaults/rc.conf	Fri Mar 02 16:56:09 2012 +0200
@@ -15,7 +15,7 @@
 # For a more detailed explanation of all the rc.conf variables, please
 # refer to the rc.conf(5) manual page.
 #
-# $FreeBSD: head/etc/defaults/rc.conf 226654 2011-10-23 09:08:42Z mm $
+# $FreeBSD: head/etc/defaults/rc.conf 231862 2012-02-17 07:59:37Z dougb $
 
 ##############################################################
 ###  Important initial Boot-time options  ####################
@@ -24,11 +24,13 @@
 rc_debug="NO"		# Set to YES to enable debugging output from rc.d
 rc_info="NO"		# Enables display of informational messages at boot.
 rc_startmsgs="YES" 	# Show "Starting foo:" messages at boot
-rcshutdown_timeout="30" # Seconds to wait before terminating rc.shutdown
+rcshutdown_timeout="90" # Seconds to wait before terminating rc.shutdown
 early_late_divider="FILESYSTEMS"	# Script that separates early/late
 			# stages of the boot process.  Make sure you know
 			# the ramifications if you change this.
 			# See rc.conf(5) for more details.
+always_force_depends="NO"	# Set to check that indicated dependencies are
+				# running during boot (can increase boot time).
 
 swapfile="NO"		# Set to name of swapfile if aux swapfile desired.
 apm_enable="NO"		# Set to YES to enable APM BIOS functions (or NO).
@@ -648,6 +650,7 @@
 devfs_system_ruleset=""	# The name (NOT number) of a ruleset to apply to /dev
 devfs_set_rulesets=""	# A list of /mount/dev=ruleset_name settings to
 			# apply (must be mounted already, i.e. fstab(5))
+devfs_load_rulesets="NO"	# Enable to always load the default rulesets
 performance_cx_lowest="HIGH"	# Online CPU idle state
 performance_cpu_freq="NONE"	# Online CPU frequency
 economy_cx_lowest="HIGH"	# Offline CPU idle state
--- a/head/etc/devd/apple.conf	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/devd/apple.conf	Fri Mar 02 16:56:09 2012 +0200
@@ -1,4 +1,4 @@
-# $FreeBSD: head/etc/devd/apple.conf 230640 2012-01-28 02:52:22Z jhibbits $
+# $FreeBSD: head/etc/devd/apple.conf 232177 2012-02-26 13:45:25Z jhibbits $
 #
 # PowerPC Apple specific devd events
 
@@ -19,6 +19,26 @@
 };
 
 
+# The next blocks enable brightness hotkeys that can be found on Apple laptops
+notify 0 {
+	match "system"		"PMU";
+	match "subsystem"	"keys";
+	match "type"		"brightness";
+	match "notify"		"down";
+	action			"sysctl dev.backlight.0.level=\
+		$(expr `sysctl -n dev.backlight.0.level` - 10)";
+};
+
+notify 0 {
+	match "system"		"PMU";
+	match "subsystem"	"keys";
+	match "type"		"brightness";
+	match "notify"		"up";
+	action			"sysctl dev.backlight.0.level=\
+		$(expr `sysctl -n dev.backlight.0.level` + 10)";
+};
+
+
 # The next blocks enable volume hotkeys that can be found on Apple laptops
 notify 0 {
 	match "system"		"PMU";
--- a/head/etc/devd/usb.conf	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/devd/usb.conf	Fri Mar 02 16:56:09 2012 +0200
@@ -1,5 +1,5 @@
 #
-# $FreeBSD: head/etc/devd/usb.conf 226534 2011-10-19 10:09:01Z hselasky $
+# $FreeBSD: head/etc/devd/usb.conf 231575 2012-02-13 07:47:16Z hselasky $
 #
 # This file was automatically generated by "tools/bus_autoconf.sh".
 # Please do not edit!
@@ -157,7 +157,7 @@
 	match "bus" "uhub[0-9]+";
 	match "mode" "host";
 	match "vendor" "0x0403";
-	match "product" "(0x6001|0x6004|0x6010|0x6011|0x8372|0x9e90|0xcc48|0xcc49|0xcc4a|0xd678|0xe6c8|0xe888|0xe889|0xe88a|0xe88b|0xe88c|0xee18|0xf608|0xf60b|0xf850|0xfa00|0xfa01|0xfa02|0xfa03|0xfa04|0xfc08|0xfc09|0xfc0b|0xfc0c|0xfc0d|0xfc82)";
+	match "product" "(0x6001|0x6004|0x6010|0x6011|0x8372|0x9e90|0xa6d0|0xa6d0|0xcc48|0xcc49|0xcc4a|0xd678|0xe6c8|0xe888|0xe889|0xe88a|0xe88b|0xe88c|0xee18|0xf608|0xf60b|0xf850|0xfa00|0xfa01|0xfa02|0xfa03|0xfa04|0xfc08|0xfc09|0xfc0b|0xfc0c|0xfc0d|0xfc82)";
 	action "kldload uftdi";
 };
 
@@ -293,7 +293,7 @@
 	match "bus" "uhub[0-9]+";
 	match "mode" "host";
 	match "vendor" "0x0411";
-	match "product" "(0x0148|0x0150|0x015d|0x016f)";
+	match "product" "(0x0148|0x0150|0x015d|0x016f|0x01a2)";
 	action "kldload if_run";
 };
 
@@ -1021,7 +1021,7 @@
 	match "bus" "uhub[0-9]+";
 	match "mode" "host";
 	match "vendor" "0x05c6";
-	match "product" "(0x6000|0x6613)";
+	match "product" "(0x1000|0x6000|0x6613)";
 	action "kldload u3g";
 };
 
@@ -1301,7 +1301,7 @@
 	match "bus" "uhub[0-9]+";
 	match "mode" "host";
 	match "vendor" "0x0789";
-	match "product" "(0x0162|0x0163|0x0164)";
+	match "product" "(0x0162|0x0163|0x0164|0x0166)";
 	action "kldload if_run";
 };
 
@@ -2093,7 +2093,7 @@
 	match "bus" "uhub[0-9]+";
 	match "mode" "host";
 	match "vendor" "0x0b95";
-	match "product" "(0x1720|0x1780|0x7720|0x772a|0x772b)";
+	match "product" "(0x1720|0x1780|0x7720|0x772a|0x772b|0x7e2b)";
 	action "kldload if_axe";
 };
 
@@ -4205,6 +4205,15 @@
 nomatch 32 {
 	match "bus" "uhub[0-9]+";
 	match "mode" "host";
+	match "intclass" "0x02";
+	match "intsubclass" "0x02";
+	match "intprotocol" "0xff";
+	action "kldload umodem";
+};
+
+nomatch 32 {
+	match "bus" "uhub[0-9]+";
+	match "mode" "host";
 	match "intclass" "0x03";
 	match "intsubclass" "0x01";
 	match "intprotocol" "0x01";
@@ -4327,5 +4336,5 @@
 	action "kldload umass";
 };
 
-# 1645 USB entries processed
-
+# 1652 USB entries processed
+
--- a/head/etc/mtree/BSD.include.dist	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/mtree/BSD.include.dist	Fri Mar 02 16:56:09 2012 +0200
@@ -1,4 +1,4 @@
-# $FreeBSD: head/etc/mtree/BSD.include.dist 227983 2011-11-25 20:59:04Z theraven $
+# $FreeBSD: head/etc/mtree/BSD.include.dist 231714 2012-02-14 21:48:46Z dim $
 #
 # Please see the file src/etc/mtree/README before making changes to this file.
 #
--- a/head/etc/periodic/daily/404.status-zfs	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/periodic/daily/404.status-zfs	Fri Mar 02 16:56:09 2012 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $FreeBSD$
+# $FreeBSD: head/etc/periodic/daily/404.status-zfs 231171 2012-02-08 00:08:21Z gjb $
 #
 
 # If there is a global system configuration file, suck it in.
@@ -16,12 +16,21 @@
 	echo
 	echo 'Checking status of zfs pools:'
 
-	out=`zpool status -x`
-	echo "$out"
+	case "$daily_status_zfs_zpool_list_enable" in
+	    [Yy][Ee][Ss])
+		lout=`zpool list`
+		echo "$lout"
+		echo
+		;;
+	    *)
+		;;
+	esac
+	sout=`zpool status -x`
+	echo "$sout"
 	# zpool status -x always exits with 0, so we have to interpret its
 	# output to see what's going on.
-	if [ "$out" = "all pools are healthy" \
-	    -o "$out" = "no pools available" ]; then
+	if [ "$sout" = "all pools are healthy" \
+	    -o "$sout" = "no pools available" ]; then
 		rc=0
 	else
 		rc=1
--- a/head/etc/rc.d/LOGIN	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/LOGIN	Fri Mar 02 16:56:09 2012 +0200
@@ -1,10 +1,10 @@
 #!/bin/sh
 #
-# $FreeBSD$
+# $FreeBSD: head/etc/rc.d/LOGIN 231549 2012-02-12 07:45:48Z ed $
 #
 
 # PROVIDE: LOGIN
-# REQUIRE: DAEMON
+# REQUIRE: DAEMON utx
 
 #	This is a dummy dependency to ensure user services such as xdm,
 #	inetd, cron and kerberos are started after everything else, in case
--- a/head/etc/rc.d/Makefile	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/Makefile	Fri Mar 02 16:56:09 2012 +0200
@@ -1,4 +1,4 @@
-# $FreeBSD: head/etc/rc.d/Makefile 228541 2011-12-15 21:06:37Z pjd $
+# $FreeBSD: head/etc/rc.d/Makefile 231534 2012-02-11 20:47:16Z ed $
 
 .include <bsd.own.mk>
 
@@ -144,6 +144,7 @@
 	tmp \
 	${_ubthidhci} \
 	ugidfw \
+	${_utx} \
 	var \
 	virecover \
 	watchdogd \
@@ -177,6 +178,10 @@
 _ubthidhci=	ubthidhci
 .endif
 
+.if ${MK_UTMPX} != "no"
+_utx=		utx
+.endif
+
 FILESDIR=	/etc/rc.d
 FILESMODE=	${BINMODE}
 
--- a/head/etc/rc.d/SERVERS	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/SERVERS	Fri Mar 02 16:56:09 2012 +0200
@@ -1,10 +1,10 @@
 #!/bin/sh
 #
-# $FreeBSD$
+# $FreeBSD: head/etc/rc.d/SERVERS 231563 2012-02-12 14:58:50Z avg $
 #
 
 # PROVIDE: SERVERS
-# REQUIRE: mountcritremote abi ldconfig savecore
+# REQUIRE: mountcritremote abi ldconfig savecore watchdogd
 
 #	This is a dummy dependency, for early-start servers relying on
 #	some basic configuration.
--- a/head/etc/rc.d/addswap	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/addswap	Fri Mar 02 16:56:09 2012 +0200
@@ -2,11 +2,11 @@
 #
 # Add additional swap files
 #
-# $FreeBSD$
+# $FreeBSD: head/etc/rc.d/addswap 231507 2012-02-11 06:21:16Z dougb $
 #
 
 # PROVIDE: addswap
-# REQUIRE: FILESYSTEMS
+# REQUIRE: FILESYSTEMS kld
 # KEYWORD: nojail
 
 . /etc/rc.subr
--- a/head/etc/rc.d/amd	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/amd	Fri Mar 02 16:56:09 2012 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $FreeBSD: head/etc/rc.d/amd 230099 2012-01-14 02:18:41Z dougb $
+# $FreeBSD: head/etc/rc.d/amd 231667 2012-02-14 10:51:24Z dougb $
 #
 
 # PROVIDE: amd
@@ -19,15 +19,8 @@
 
 amd_precmd()
 {
-	if ! checkyesno nfs_client_enable; then
-		force_depend nfsclient || return 1
-	fi
-
-	if ! checkyesno rpcbind_enable  && \
-	    ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
-	then
-		force_depend rpcbind || return 1
-	fi
+	force_depend nfsclient nfs_client || return 1
+	force_depend rpcbind || return 1
 
 	case ${amd_map_program} in
 	[Nn][Oo] | '')
@@ -49,7 +42,6 @@
 		command_args="> /var/run/amd.pid 2> /dev/null"
 		;;
 	esac
-	return 0
 }
 
 load_rc_config $name
--- a/head/etc/rc.d/apmd	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/apmd	Fri Mar 02 16:56:09 2012 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $FreeBSD: head/etc/rc.d/apmd 230099 2012-01-14 02:18:41Z dougb $
+# $FreeBSD: head/etc/rc.d/apmd 231667 2012-02-14 10:51:24Z dougb $
 #
 
 # PROVIDE: apmd
@@ -19,24 +19,18 @@
 {
 	case `${SYSCTL_N} hw.machine_arch` in
 	i386)
-		# Enable apm if it is not already enabled
-		if ! checkyesno apm_enable  && \
-		    ! /etc/rc.d/apm forcestatus 1>/dev/null 2>&1
-		then
-			force_depend apm || return 1
-		fi
+		force_depend apm || return 1
 
 		# Warn user about acpi apm compatibility support which
 		# does not work with apmd.
 		if [ ! -e /dev/apmctl ]; then
-		    warn "/dev/apmctl not found; kernel is missing apm(4)"
+			warn "/dev/apmctl not found; kernel is missing apm(4)"
 		fi
 		;;
 	*)
 		return 1
 		;;
 	esac
-	return 0
 }
 
 load_rc_config $name
--- a/head/etc/rc.d/cleanvar	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/cleanvar	Fri Mar 02 16:56:09 2012 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $FreeBSD: head/etc/rc.d/cleanvar 230099 2012-01-14 02:18:41Z dougb $
+# $FreeBSD: head/etc/rc.d/cleanvar 231534 2012-02-11 20:47:16Z ed $
 #
 
 # PROVIDE: cleanvar
@@ -58,8 +58,6 @@
 {
 	if [ -d /var/run -a ! -f /var/run/clean_var ]; then
 		purgedir /var/run
-		# And an initial utmpx active session file
-		(cd /var/run && cp /dev/null utx.active && chmod 644 utx.active)
 		>/var/run/clean_var
 	fi
 	if [ -d /var/spool/lock -a ! -f /var/spool/lock/clean_var ]; then
--- a/head/etc/rc.d/devfs	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/devfs	Fri Mar 02 16:56:09 2012 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $FreeBSD$
+# $FreeBSD: head/etc/rc.d/devfs 231194 2012-02-08 08:52:40Z dougb $
 #
 
 # PROVIDE: devfs
@@ -16,7 +16,8 @@
 
 devfs_start()
 {
-	if [ -n "$devfs_system_ruleset" -o -n "$devfs_set_rulesets" ]; then
+	if [ -n "$devfs_system_ruleset" -o -n "$devfs_set_rulesets" ] ||
+	    checkyesno devfs_load_rulesets; then
 		devfs_init_rulesets
 		if [ -n "$devfs_system_ruleset" ]; then
 			devfs_set_ruleset $devfs_system_ruleset /dev
--- a/head/etc/rc.d/keyserv	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/keyserv	Fri Mar 02 16:56:09 2012 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $FreeBSD: head/etc/rc.d/keyserv 230099 2012-01-14 02:18:41Z dougb $
+# $FreeBSD: head/etc/rc.d/keyserv 231667 2012-02-14 10:51:24Z dougb $
 #
 
 # Start keyserv if we are running Secure RPC
@@ -19,13 +19,7 @@
 
 keyserv_prestart()
 {
-	if ! checkyesno rpcbind_enable  && \
-		! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
-	then
-		force_depend rpcbind || return 1
-	fi
-
-	return 0
+	force_depend rpcbind || return 1
 }
 
 load_rc_config $name
--- a/head/etc/rc.d/lockd	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/lockd	Fri Mar 02 16:56:09 2012 +0200
@@ -1,7 +1,7 @@
 #!/bin/sh
 #
 # FreeBSD History: src/etc/rc.d/nfslocking,v 1.11 2004/10/07 13:55:26 mtm
-# $FreeBSD: head/etc/rc.d/lockd 223852 2011-07-08 00:49:50Z rmacklem $
+# $FreeBSD: head/etc/rc.d/lockd 231667 2012-02-14 10:51:24Z dougb $
 #
 
 # PROVIDE: lockd
@@ -15,28 +15,16 @@
 rcvar=rpc_lockd_enable
 command="/usr/sbin/rpc.${name}"
 start_precmd='lockd_precmd'
-stop_precmd='checkyesno nfs_server_enable || checkyesno nfs_client_enable'
-status_precmd=$stop_precmd
 
 # Make sure that we are either an NFS client or server, and that we get
 # the correct flags from rc.conf(5).
 #
 lockd_precmd()
 {
-	local ret
-	ret=0
-
-	if ! checkyesno nfs_server_enable && ! checkyesno nfs_client_enable
-	then
-		ret=1
-	fi
-	if ! checkyesno rpcbind_enable && \
-	    ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
-	then
-		force_depend rpcbind || ret=1
-	fi
+	force_depend rpcbind || return 1
+	force_depend statd rpc_statd || return 1
+	
 	rc_flags=${rpc_lockd_flags}
-	return ${ret}
 }
 
 load_rc_config $name
--- a/head/etc/rc.d/mountd	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/mountd	Fri Mar 02 16:56:09 2012 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $FreeBSD: head/etc/rc.d/mountd 230099 2012-01-14 02:18:41Z dougb $
+# $FreeBSD: head/etc/rc.d/mountd 231667 2012-02-14 10:51:24Z dougb $
 #
 
 # PROVIDE: mountd
@@ -19,11 +19,7 @@
 
 mountd_precmd()
 {
-	if ! checkyesno rpcbind_enable  && \
-	    ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
-	then
-		force_depend rpcbind || return 1
-	fi
+	force_depend rpcbind || return 1
 
 	# mountd flags will differ depending on rc.conf settings
 	#
@@ -48,8 +44,8 @@
 	fi
 
 	rm -f /var/db/mountdtab
-	( umask 022 ; > /var/db/mountdtab )
-	return 0
+	( umask 022 ; > /var/db/mountdtab ) ||
+	    err 1 'Cannot create /var/db/mountdtab'
 }
 
 load_rc_config $name
--- a/head/etc/rc.d/nfsd	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/nfsd	Fri Mar 02 16:56:09 2012 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $FreeBSD: head/etc/rc.d/nfsd 230099 2012-01-14 02:18:41Z dougb $
+# $FreeBSD: head/etc/rc.d/nfsd 231667 2012-02-14 10:51:24Z dougb $
 #
 
 # PROVIDE: nfsd
@@ -48,31 +48,15 @@
 
 		if checkyesno nfsv4_server_enable; then
 			sysctl vfs.nfsd.server_max_nfsvers=4 > /dev/null
-			if ! checkyesno nfsuserd_enable  && \
-			    ! /etc/rc.d/nfsuserd forcestatus 1>/dev/null 2>&1
-			then
-				if ! force_depend nfsuserd; then
-					err 1 "Cannot run nfsuserd"
-				fi
-			fi
+			force_depend nfsuserd || err 1 "Cannot run nfsuserd"
 		else
 			echo 'NFSv4 is disabled'
 			sysctl vfs.nfsd.server_max_nfsvers=3 > /dev/null
 		fi
 	fi
 
-	if ! checkyesno rpcbind_enable  && \
-	    ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
-	then
-		force_depend rpcbind || return 1
-	fi
-
-	if ! checkyesno mountd_enable  && \
-	    ! /etc/rc.d/mountd forcestatus 1>/dev/null 2>&1
-	then
-		force_depend mountd || return 1
-	fi
-	return 0
+	force_depend rpcbind || return 1
+	force_depend mountd || return 1
 }
 
 run_rc_command "$1"
--- a/head/etc/rc.d/routing	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/routing	Fri Mar 02 16:56:09 2012 +0200
@@ -2,7 +2,7 @@
 #
 # Configure routing and miscellaneous network tunables
 #
-# $FreeBSD: head/etc/rc.d/routing 227366 2011-11-08 23:02:32Z jilles $
+# $FreeBSD: head/etc/rc.d/routing 231852 2012-02-17 02:39:58Z bz $
 #
 
 # PROVIDE: routing
@@ -98,8 +98,10 @@
 	local i
 
 	route -n flush -inet6
-	for i in ${ipv6_network_interfaces}; do
-		ifconfig $i inet6 -defaultif
+	for i in `list_net_interfaces`; do
+		if ipv6if $i; then
+			ifconfig $i inet6 -defaultif
+		fi
 	done
 }
 
@@ -137,12 +139,22 @@
 
 static_inet6()
 {
-	local _action i
+	local _action i fibs
 	_action=$1
 
+	# get the number of FIBs supported.
+	fibs=`sysctl -n net.fibs`
+	: ${fibs:=1}
+
 	# disallow "internal" addresses to appear on the wire
-	route ${_action} -inet6 ::ffff:0.0.0.0 -prefixlen 96 ::1 -reject
-	route ${_action} -inet6 ::0.0.0.0 -prefixlen 96 ::1 -reject
+	i=0
+	while test ${i} -lt ${fibs}; do
+		setfib -F ${i} route ${_action} \
+		    -inet6 ::ffff:0.0.0.0 -prefixlen 96 ::1 -reject
+		setfib -F ${i} route ${_action} \
+		    -inet6 ::0.0.0.0 -prefixlen 96 ::1 -reject
+		i=$((i + 1))
+	done
 
 	case ${ipv6_defaultrouter} in
 	[Nn][Oo] | '')
@@ -214,8 +226,14 @@
 	# for the host case, you will allow to omit the identifiers.
 	# Under this configuration, the packets will go to the default
 	# interface.
-	route ${_action} -inet6 fe80:: -prefixlen 10 ::1 -reject
-	route ${_action} -inet6 ff02:: -prefixlen 16 ::1 -reject
+	i=0
+	while test ${i} -lt ${fibs}; do
+		setfib -F ${i} route ${_action} \
+		    -inet6 fe80:: -prefixlen 10 ::1 -reject
+		setfib -F ${i} route ${_action} \
+		    -inet6 ff02:: -prefixlen 16 ::1 -reject
+		i=$((i + 1))
+	done
 
 	case ${ipv6_default_interface} in
 	'')
--- a/head/etc/rc.d/statd	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/statd	Fri Mar 02 16:56:09 2012 +0200
@@ -1,7 +1,7 @@
 #!/bin/sh
 #
 # FreeBSD History: src/etc/rc.d/nfslocking,v 1.11 2004/10/07 13:55:26 mtm Exp
-# $FreeBSD: head/etc/rc.d/statd 223852 2011-07-08 00:49:50Z rmacklem $
+# $FreeBSD: head/etc/rc.d/statd 231667 2012-02-14 10:51:24Z dougb $
 #
 
 # PROVIDE: statd
@@ -15,28 +15,15 @@
 rcvar=rpc_statd_enable
 command="/usr/sbin/rpc.${name}"
 start_precmd='statd_precmd'
-stop_precmd='checkyesno nfs_server_enable || checkyesno nfs_client_enable'
-status_precmd=$stop_precmd
 
 # Make sure that we are either an NFS client or server, and that we get
 # the correct flags from rc.conf(5).
 #
 statd_precmd()
 {
-	local ret
-	ret=0
-
-	if ! checkyesno nfs_server_enable && ! checkyesno nfs_client_enable
-	then
-		ret=1
-	fi
-	if ! checkyesno rpcbind_enable && \
-	    ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
-	then
-		force_depend rpcbind || ret=1
-	fi
+	force_depend rpcbind || return 1
+	
 	rc_flags=${rpc_statd_flags}
-	return ${ret}
 }
 
 load_rc_config $name
--- a/head/etc/rc.d/var	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/var	Fri Mar 02 16:56:09 2012 +0200
@@ -24,11 +24,11 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-# $FreeBSD: head/etc/rc.d/var 223264 2011-06-18 19:41:05Z dougb $
+# $FreeBSD: head/etc/rc.d/var 231507 2012-02-11 06:21:16Z dougb $
 #
 
 # PROVIDE: var
-# REQUIRE: FILESYSTEMS kld
+# REQUIRE: FILESYSTEMS kld addswap
 
 . /etc/rc.subr
 
--- a/head/etc/rc.d/watchdogd	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/watchdogd	Fri Mar 02 16:56:09 2012 +0200
@@ -24,11 +24,11 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-# $FreeBSD: head/etc/rc.d/watchdogd 230099 2012-01-14 02:18:41Z dougb $
+# $FreeBSD: head/etc/rc.d/watchdogd 231563 2012-02-12 14:58:50Z avg $
 #
 
 # PROVIDE: watchdogd
-# REQUIRE: DAEMON cleanvar
+# REQUIRE: FILESYSTEMS cleanvar syslogd
 # KEYWORD: nojail shutdown
 
 . /etc/rc.subr
--- a/head/etc/rc.d/ypbind	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/ypbind	Fri Mar 02 16:56:09 2012 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $FreeBSD$
+# $FreeBSD: head/etc/rc.d/ypbind 231667 2012-02-14 10:51:24Z dougb $
 #
 
 # PROVIDE: ypbind
@@ -11,22 +11,20 @@
 . /etc/rc.subr
 
 name="ypbind"
-command="/usr/sbin/${name}"
-start_precmd="ypbind_precmd"
+rcvar="nis_client_enable"
 
 load_rc_config $name
-rcvar="nis_client_enable"
+
+command="/usr/sbin/${name}"
 command_args="${nis_client_flags}"
 
+start_precmd="ypbind_precmd"
+
 ypbind_precmd()
 {
 	local _domain
 
-	if ! checkyesno rpcbind_enable  && \
-	    ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
-	then
-		force_depend rpcbind || return 1
-	fi
+	force_depend rpcbind || return 1
 
 	_domain=`domainname`
 	if [ -z "$_domain" ]; then
--- a/head/etc/rc.d/yppasswdd	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/yppasswdd	Fri Mar 02 16:56:09 2012 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $FreeBSD$
+# $FreeBSD: head/etc/rc.d/yppasswdd 231667 2012-02-14 10:51:24Z dougb $
 #
 
 # PROVIDE: yppasswdd
@@ -11,27 +11,22 @@
 . /etc/rc.subr
 
 name="yppasswdd"
-command="/usr/sbin/rpc.${name}"
-start_precmd="yppasswdd_precmd"
+rcvar="nis_yppasswdd_enable"
 
 load_rc_config $name
-rcvar="nis_yppasswdd_enable"
+
+command="/usr/sbin/rpc.${name}"
 command_args="${nis_yppasswdd_flags}"
 
+start_precmd="yppasswdd_precmd"
+
 yppasswdd_precmd()
 {
 	local _domain
 
-	if ! checkyesno rpcbind_enable  && \
-	    ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
-	then
-		force_depend rpcbind || return 1
-	fi
-	if ! checkyesno nis_server_enable && \
-	    ! /etc/rc.d/ypserv forcestatus 1>/dev/null 2>&1
-	then
-		force_depend ypserv || return 1
-	fi
+	force_depend rpcbind || return 1
+	force_depend ypserv nis_server || return 1
+	
 	_domain=`domainname`
 	if [ -z "$_domain" ]; then
 		warn "NIS domainname(1) is not set."
--- a/head/etc/rc.d/ypserv	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/ypserv	Fri Mar 02 16:56:09 2012 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $FreeBSD$
+# $FreeBSD: head/etc/rc.d/ypserv 231667 2012-02-14 10:51:24Z dougb $
 #
 
 # PROVIDE: ypserv
@@ -11,21 +11,20 @@
 
 name="ypserv"
 rcvar="nis_server_enable"
-command="/usr/sbin/${name}"
-start_precmd="ypserv_prestart"
 
 load_rc_config $name
+
+command="/usr/sbin/${name}"
 command_args="${nis_server_flags}"
 
+start_precmd="ypserv_prestart"
+
 ypserv_prestart()
 {
 	local _domain
 
-	if ! checkyesno rpcbind_enable  && \
-	    ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
-	then
-		force_depend rpcbind || return 1
-	fi
+	force_depend rpcbind || return 1
+
 	_domain=`domainname`
 	if [ -z "$_domain" ]; then
 		warn "NIS domainname(1) is not set."
--- a/head/etc/rc.d/ypset	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/ypset	Fri Mar 02 16:56:09 2012 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $FreeBSD$
+# $FreeBSD: head/etc/rc.d/ypset 231667 2012-02-14 10:51:24Z dougb $
 #
 
 # PROVIDE: ypset
@@ -11,25 +11,20 @@
 
 name="ypset"
 rcvar="nis_ypset_enable"
+
+load_rc_config $name
+
 command="/usr/sbin/${name}"
+command_args="${nis_ypset_flags}"
+
 start_precmd="ypset_precmd"
-load_rc_config $name
-command_args="${nis_ypset_flags}"
 
 ypset_precmd()
 {
 	local _domain
 
-	if ! checkyesno rpcbind_enable  && \
-	    ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
-	then
-		force_depend rpcbind || return 1
-	fi
-	if ! checkyesno nis_client_enable && \
-	    ! /etc/rc.d/ypbind forcestatus 1>/dev/null 2>&1
-	then
-		force_depend ypbind || return 1
-	fi
+	force_depend rpcbind || return 1
+	force_depend ypbind nis_client || return 1
 
 	_domain=`domainname`
 	if [ -z "$_domain" ]; then
--- a/head/etc/rc.d/ypupdated	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/ypupdated	Fri Mar 02 16:56:09 2012 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $FreeBSD$
+# $FreeBSD: head/etc/rc.d/ypupdated 231667 2012-02-14 10:51:24Z dougb $
 #
 
 # PROVIDE: ypupdated
@@ -11,6 +11,9 @@
 
 name="ypupdated"
 rcvar="rpc_ypupdated_enable"
+
+load_rc_config $name
+
 command="/usr/sbin/rpc.${name}"
 start_precmd="rpc_ypupdated_precmd"
 
@@ -18,16 +21,8 @@
 {
 	local _domain
 
-	if ! checkyesno rpcbind_enable  && \
-	    ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
-	then
-		force_depend rpcbind || return 1
-	fi
-	if ! checkyesno nis_server_enable && \
-	    ! /etc/rc.d/ypserv forcestatus 1>/dev/null 2>&1
-	then
-		force_depend ypserv || return 1
-	fi
+	force_depend rpcbind || return 1
+	force_depend ypserv nis_server || return 1
 
 	_domain=`domainname`
 	if [ -z "$_domain" ]; then
@@ -36,5 +31,4 @@
 	fi
 }
 
-load_rc_config $name
 run_rc_command "$1"
--- a/head/etc/rc.d/ypxfrd	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.d/ypxfrd	Fri Mar 02 16:56:09 2012 +0200
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $FreeBSD$
+# $FreeBSD: head/etc/rc.d/ypxfrd 231667 2012-02-14 10:51:24Z dougb $
 #
 
 # PROVIDE: ypxfrd
@@ -11,25 +11,20 @@
 
 name="ypxfrd"
 rcvar="nis_ypxfrd_enable"
+
+load_rc_config $name
+
 command="/usr/sbin/rpc.${name}"
+command_args="${nis_ypxfrd_flags}"
+
 start_precmd="ypxfrd_precmd"
-load_rc_config $name
-command_args="${nis_ypxfrd_flags}"
 
 ypxfrd_precmd()
 {
 	local _domain
 
-	if ! checkyesno rpcbind_enable  && \
-	    ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
-	then
-		force_depend rpcbind || return 1
-	fi
-	if ! checkyesno nis_server_enable && \
-	    ! /etc/rc.d/ypserv forcestatus 1>/dev/null 2>&1
-	then
-		force_depend ypserv || return 1
-	fi
+	force_depend rpcbind || return 1
+	force_depend ypserv nis_server || return 1
 
 	_domain=`domainname`
 	if [ -z "$_domain" ]; then
--- a/head/etc/rc.resume	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.resume	Fri Mar 02 16:56:09 2012 +0200
@@ -24,7 +24,7 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-# $FreeBSD: head/etc/rc.resume 227787 2011-11-21 12:23:22Z glebius $
+# $FreeBSD: head/etc/rc.resume 231226 2012-02-08 20:31:42Z jkim $
 #
 
 # sample run command file for APM Resume Event
@@ -43,12 +43,6 @@
 	echo 'rc.resume: killed rc.suspend that was still around'
 fi
 
-if [ -r /var/run/rc.suspend.tch ]; then
-	_t=`cat /var/run/rc.suspend.tch`
-	/sbin/sysctl -n kern.timecounter.hardware=$_t > /dev/null 2>&1
-	/bin/rm -f /var/run/rc.suspend.tch
-fi
-
 if [ -r /var/run/moused.pid ]; then
 	pkill -HUP -F /var/run/moused.pid
 fi
--- a/head/etc/rc.subr	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.subr	Fri Mar 02 16:56:09 2012 +0200
@@ -1,5 +1,5 @@
 # $NetBSD: rc.subr,v 1.67 2006/10/07 11:25:15 elad Exp $
-# $FreeBSD: head/etc/rc.subr 230374 2012-01-20 10:31:27Z dougb $
+# $FreeBSD: head/etc/rc.subr 231888 2012-02-18 00:46:18Z delphij $
 #
 # Copyright (c) 1997-2004 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -71,22 +71,29 @@
 }
 
 #
-# force_depend script
+# force_depend script [rcvar]
 #	Force a service to start. Intended for use by services
-#	to resolve dependency issues. It is assumed the caller
-#	has check to make sure this call is necessary
+#	to resolve dependency issues.
 #	$1 - filename of script, in /etc/rc.d, to run
+#	$2 - name of the script's rcvar (minus the _enable)
 #
 force_depend()
 {
+	local _depend _dep_rcvar
+
 	_depend="$1"
+	_dep_rcvar="${2:-$1}_enable"
+
+	[ -n "$rc_fast" ] && ! checkyesno always_force_depends &&
+	    checkyesno $_dep_rcvar && return 0
+
+	/etc/rc.d/${_depend} forcestatus >/dev/null 2>&1 && return 0
 
 	info "${name} depends on ${_depend}, which will be forced to start."
 	if ! /etc/rc.d/${_depend} forcestart; then
 		warn "Unable to force ${_depend}. It may already be running."
 		return 1
 	fi
-	return 0
 }
 
 #
@@ -978,9 +985,9 @@
 			if [ -n "$rc_fast_and_loose" ]; then
 				set $_arg; . $_file
 			else
-				( trap "echo Script $_file interrupted; kill -QUIT $$" 3
-				  trap "echo Script $_file interrupted; exit 1" 2
-				  trap "echo Script $_file running" 29
+				( trap "echo Script $_file interrupted >&2 ; kill -QUIT $$" 3
+				  trap "echo Script $_file interrupted >&2 ; exit 1" 2
+				  trap "echo Script $_file running >&2" 29
 				  set $_arg; . $_file )
 			fi
 		fi
--- a/head/etc/rc.suspend	Fri Mar 02 16:56:02 2012 +0200
+++ b/head/etc/rc.suspend	Fri Mar 02 16:56:09 2012 +0200
@@ -24,7 +24,7 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-# $FreeBSD$
+# $FreeBSD: head/etc/rc.suspend 231226 2012-02-08 20:31:42Z jkim $
 #
 
 # sample run command file for APM Suspend Event
@@ -43,18 +43,6 @@
 
 echo $$ 2> /dev/null > /var/run/rc.suspend.pid
 
-_t=`/sbin/sysctl -n kern.timecounter.hardware 2> /dev/null`
-case ${_t#ACPI-} in
-fast|safe)
-	/bin/rm -f /var/run/rc.suspend.tch
-	;;
-*)
-	{ /sbin/sysctl -n kern.timecounter.hardware=ACPI-fast || \
-	    /sbin/sysctl -n kern.timecounter.hardware=ACPI-safe; } \
-	    > /dev/null 2>&1 && echo $_t > /var/run/rc.suspend.tch
-	;;
-esac
-
 # If you have troubles on suspending with PC-CARD modem, try this.
 # See also contrib/pccardq.c (Only for PAO users).
 # pccardq | awk -F '~' '$5 == "filled" && $4 ~ /uart/ \